Error while installing the package linux-wifi-hotspot

Whenever I try to install the package linux-wifi-hotspot, it gives error as:

:: Checking for conflicts...
:: Checking for inner conflicts...
[Aur:1]  linux-wifi-hotspot-4.4.0-1

  1 linux-wifi-hotspot                       (Build Files Exist)
==> Packages to cleanBuild?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> N
:: PKGBUILD up to date, Skipping (1/0): linux-wifi-hotspot
  1 linux-wifi-hotspot                       (Build Files Exist)
==> Diffs to show?
==> [N]one [A]ll [Ab]ort [I]nstalled [No]tInstalled or (1 2 3, 1-3, ^4)
==> N
:: (1/1) Parsing SRCINFO: linux-wifi-hotspot
==> Making package: linux-wifi-hotspot 4.4.0-1 (Monday 08 August 2022 09:24:23 PM)
==> Retrieving sources...
  -> Found linux-wifi-hotspot-4.4.0.tar.gz
==> Validating source files with sha256sums...
    linux-wifi-hotspot-4.4.0.tar.gz ... Passed
==> Making package: linux-wifi-hotspot 4.4.0-1 (Monday 08 August 2022 09:24:26 PM)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found linux-wifi-hotspot-4.4.0.tar.gz
==> Validating source files with sha256sums...
    linux-wifi-hotspot-4.4.0.tar.gz ... Passed
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Extracting linux-wifi-hotspot-4.4.0.tar.gz with bsdtar
==> Sources are ready.
==> Making package: linux-wifi-hotspot 4.4.0-1 (Monday 08 August 2022 09:24:32 PM)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Removing existing $pkgdir/ directory...
==> Starting build()...
mkdir -p build
Run 'sudo make install' for installation.
Run 'sudo make uninstall' for uninstallation.
cd src && make
make[1]: Entering directory ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
which: no pkg-config in ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
/bin/sh: --: invalid option
Usage:	/bin/sh [GNU long option] [option] ...
	/bin/sh [GNU long option] [option] script-file ...
GNU long options:
	--debug
	--debugger
	--dump-po-strings
	--dump-strings
	--help
	--init-file
	--login
	--noediting
	--noprofile
	--norc
	--posix
	--pretty-print
	--rcfile
	--restricted
	--verbose
	--version
Shell options:
	-ilrsD or -c command or -O shopt_option		(invocation only)
	-abefhkmnptuvxBCHP or -o option
ui/glade/wifih.gresource.xml --target=ui/resources.c --sourcedir=ui/glade --generate-source
make[1]: ui/glade/wifih.gresource.xml: Permission denied
make[1]: *** [Makefile:31: resources.c] Error 127
make[1]: Leaving directory ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
make: *** [Makefile:5: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
 -> error making: linux-wifi-hotspot

I do not know why it is happening. Please help.

:thinking:

Thank you. I did sudo pacman -S --needed base-devel and it worked.

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.